---
title: "Get role match details"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › hiring

`GET /v2/hiring/roles/{id}/match`

## Path parameters

- `id` (`hiring-get-role-match-details.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/hiring/roles/<id>/match'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/hiring/roles/<id>/match';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/hiring/roles/<id>/match"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "candidateId": "string",
    "roleId": "7382d58e-652a-4905-b7c9-bcca1e0e5391",
    "matchScore": 1,
    "skillMatches": [
      {
        "skillId": "string",
        "skillName": "string",
        "level": "required",
        "matched": true,
        "candidateYears": 0,
        "requiredYears": 0,
        "evidencePaths": [
          {
            "skillId": "string",
            "pathType": "string",
            "detail": "string",
            "weight": 0,
            "nodes": [
              {}
            ]
          }
        ],
        "demonstrationConfidence": 0,
        "demonstrationSource": "string",
        "attestationTypes": [
          "string"
        ]
      }
    ],
    "explanation": {
      "summary": "string",
      "strengths": [
        "string"
      ],
      "gaps": [
        "string"
      ],
      "recommendations": [
        "string"
      ]
    },
    "hasApplied": true,
    "applicationStatus": "string",
    "evidencePaths": [
      {
        "skillId": "string",
        "pathType": "string",
        "detail": "string",
        "weight": 0,
        "nodes": [
          {
            "type": "string",
            "id": "string"
          }
        ]
      }
    ]
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`hiring-get-role-match-details.response.200.data`; object, required)
  - `candidateId` (`hiring-get-role-match-details.response.200.data.candidateId`; string, required)
  - `roleId` (`hiring-get-role-match-details.response.200.data.roleId`; string, required)
    - format `uuid`
  - `matchScore` (`hiring-get-role-match-details.response.200.data.matchScore`; number, required)
    - min 0; max 1
  - `skillMatches` (`hiring-get-role-match-details.response.200.data.skillMatches`; array<object>, required)
    - `skillId` (`hiring-get-role-match-details.response.200.data.skillMatches.skillId`; string, required)
    - `skillName` (`hiring-get-role-match-details.response.200.data.skillMatches.skillName`; string, required)
    - `level` (`hiring-get-role-match-details.response.200.data.skillMatches.level`; string, required)
      - one of `"required"`, `"preferred"`, `"nice_to_have"`
    - `matched` (`hiring-get-role-match-details.response.200.data.skillMatches.matched`; boolean, required)
    - `candidateYears` (`hiring-get-role-match-details.response.200.data.skillMatches.candidateYears`; number, optional)
    - `requiredYears` (`hiring-get-role-match-details.response.200.data.skillMatches.requiredYears`; number, optional)
    - `evidencePaths` (`hiring-get-role-match-details.response.200.data.skillMatches.evidencePaths`; array<object>, optional)
      - `pathType` (`hiring-get-role-match-details.response.200.data.skillMatches.evidencePaths.pathType`; string, required)
      - `skillId` (`hiring-get-role-match-details.response.200.data.skillMatches.evidencePaths.skillId`; string, optional, nullable)
      - `detail` (`hiring-get-role-match-details.response.200.data.skillMatches.evidencePaths.detail`; string, optional)
      - `weight` (`hiring-get-role-match-details.response.200.data.skillMatches.evidencePaths.weight`; number, optional, nullable)
      - `nodes` (`hiring-get-role-match-details.response.200.data.skillMatches.evidencePaths.nodes`; array<object>, optional)
        - `type` (`hiring-get-role-match-details.response.200.data.skillMatches.evidencePaths.nodes.type`; string, required)
        - `id` (`hiring-get-role-match-details.response.200.data.skillMatches.evidencePaths.nodes.id`; string, required, nullable)
    - `demonstrationConfidence` (`hiring-get-role-match-details.response.200.data.skillMatches.demonstrationConfidence`; number, optional)
    - `demonstrationSource` (`hiring-get-role-match-details.response.200.data.skillMatches.demonstrationSource`; string, optional)
    - `attestationTypes` (`hiring-get-role-match-details.response.200.data.skillMatches.attestationTypes`; array<string>, optional)
  - `explanation` (`hiring-get-role-match-details.response.200.data.explanation`; object, required)
    - `summary` (`hiring-get-role-match-details.response.200.data.explanation.summary`; string, required)
    - `strengths` (`hiring-get-role-match-details.response.200.data.explanation.strengths`; array<string>, required)
    - `gaps` (`hiring-get-role-match-details.response.200.data.explanation.gaps`; array<string>, required)
    - `recommendations` (`hiring-get-role-match-details.response.200.data.explanation.recommendations`; array<string>, required)
  - `hasApplied` (`hiring-get-role-match-details.response.200.data.hasApplied`; boolean, required)
  - `applicationStatus` (`hiring-get-role-match-details.response.200.data.applicationStatus`; string, optional)
  - `evidencePaths` (`hiring-get-role-match-details.response.200.data.evidencePaths`; array<object>, optional)
    - `pathType` (`hiring-get-role-match-details.response.200.data.evidencePaths.pathType`; string, required)
    - `skillId` (`hiring-get-role-match-details.response.200.data.evidencePaths.skillId`; string, optional, nullable)
    - `detail` (`hiring-get-role-match-details.response.200.data.evidencePaths.detail`; string, optional)
    - `weight` (`hiring-get-role-match-details.response.200.data.evidencePaths.weight`; number, optional, nullable)
    - `nodes` (`hiring-get-role-match-details.response.200.data.evidencePaths.nodes`; array<object>, optional)
      - `type` (`hiring-get-role-match-details.response.200.data.evidencePaths.nodes.type`; string, required)
      - `id` (`hiring-get-role-match-details.response.200.data.evidencePaths.nodes.id`; string, required, nullable)
- `meta` (`hiring-get-role-match-details.response.200.meta`; object, optional)
  - `timestamp` (`hiring-get-role-match-details.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`hiring-get-role-match-details.response.400.error`; object, required)
  - `code` (`hiring-get-role-match-details.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`hiring-get-role-match-details.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`hiring-get-role-match-details.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`hiring-get-role-match-details.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`hiring-get-role-match-details.response.401.error`; object, required)
  - `code` (`hiring-get-role-match-details.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`hiring-get-role-match-details.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`hiring-get-role-match-details.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`hiring-get-role-match-details.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`hiring-get-role-match-details.response.403.error`; object, required)
  - `code` (`hiring-get-role-match-details.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`hiring-get-role-match-details.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`hiring-get-role-match-details.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`hiring-get-role-match-details.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`hiring-get-role-match-details.response.404.error`; object, required)
  - `code` (`hiring-get-role-match-details.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`hiring-get-role-match-details.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`hiring-get-role-match-details.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`hiring-get-role-match-details.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`hiring-get-role-match-details.response.409.error`; object, required)
  - `code` (`hiring-get-role-match-details.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`hiring-get-role-match-details.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`hiring-get-role-match-details.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`hiring-get-role-match-details.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`hiring-get-role-match-details.response.500.error`; object, required)
  - `code` (`hiring-get-role-match-details.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`hiring-get-role-match-details.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`hiring-get-role-match-details.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`hiring-get-role-match-details.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`hiring-get-role-match-details.response.503.error`; object, required)
  - `code` (`hiring-get-role-match-details.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`hiring-get-role-match-details.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`hiring-get-role-match-details.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`hiring-get-role-match-details.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/hiring-get-role-match-details/index.md
